MONGOC_CHANGE_STREAM_ERROR_DOCUMENT(3)

NAME
mongoc_change_stream_error_document - mongoc_change_stream_error_document()

SYNOPSIS

        bool
        mongoc_change_stream_error_document (mongoc_change_stream_t *stream,
                                             bson_error_t *err,
                                             const bson_t **reply);

Checks if an error has occurred when creating or iterating over a change stream.

Similar to mongoc_cursor_error_document if the error has occurred client-side then the reply will be set to an empty BSON document. If the error occurred server-side, reply is set to the server's reply document.

PARAMETERS

    •   stream: A mongoc_change_stream_t.

    •   err: An optional location for a bson_error_t or NULL.

    •   reply: A location for a bson_t.

RETURNS

A boolean indicating if there was an error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc